* {
  box-sizing: border-box;
}

html {
  font: 1.2em/1.4 Arial, Helvetica, sans-serif;
}

body {
  padding: 0 0 1em;
}

header {
  background-color: #333;
  color: #fff;
  border: 5px solid #000;
}

header ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

header a {
  color: #fff;
  text-decoration: none;
  display: block;
  padding: 0.5em 1em;
  border-top: 1px solid #999;
}

header .title {
  font-size: 150%;
  font-style: italic;
  font-weight: bold;
  padding: 1em;
}

main {
  padding: 0 1em;
}

.cards {
  list-style: none;
  margin: 0;
  padding: 0;
}

.cards li {
  border: 5px solid #000;
  margin-bottom: 1em;
}

.cards h2 {
  background-color: #333;
  color: #fff;
  margin: 0;
  padding: 0.5em 1em;
}

.cards .inner {
  padding: 0.5em 1em;
}

.sidebar {
  background-color: #333;
  border: 5px solid #000;
  padding: 0.5em 1em;
  color: #fff;
}

/* for real now */

@media screen and (min-width: 50rem) {
  header {
    display: flex;
    align-items: center;
  }

  nav {
    margin-left: auto;
  }

  nav ul {
    display: flex;
    flex-flow: row nowrap;
  }

  nav a {
    border-top: none;
    font-size: 1.25rem;
  }

  .cards {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
  }

  .cards>li {
    margin: 0;
  }

  main {
    display: flex;
    padding-right: 0;
  }

  aside {
    max-width: 250px;
    margin-top: 1rem;
    margin-left: 1rem;
  }
}